worker_processes 1;

events { worker_connections 1024; }

http {
  default_type  application/octet-stream;
  client_max_body_size 2048M;

  sendfile on;
  keepalive_timeout  65;

  gzip on;
  gzip_comp_level 1;
  gzip_min_length 1000;
  gzip_types  text/plain application/javascript application/x-javascript text/javascript text/xml text/css ;

  # Add a vary header for downstream proxies to avoid sending cached gzipped files to IE6
  gzip_vary on;

  proxy_no_cache 1;
  proxy_set_header X-Real-IP $remote_addr;
  proxy_set_header Host $host;
  proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  proxy_set_header X-NginX-Proxy true;
  proxy_http_version 1.1;
  proxy_read_timeout 1200s;
  # Proxy buffering must be turned off...
  proxy_request_buffering off;
  proxy_buffering off;
  proxy_redirect off;

  server {
    listen 80;
    server_name	w3utv-mu01.uio.no;
    if ($request_uri != "/check.txt") {
      rewrite ^(.*)$ 	https://musit-utv.uio.no$1 permanent;
    }
  }

  server {
    listen 80;
    server_name	musit-utv.uio.no;
    if ($http_x_is_secure != "True") {
      rewrite ^(.*)$ https://$server_name$1 permanent;
    }

    include /etc/nginx/mime.types;

    location / {
      proxy_pass http://webpack:8000;
    }

    location /service_auth {
      proxy_pass http://auth:7070/service_auth;
    }

    location /api/auth/service/auth/ {
      proxy_pass http://auth:7070/service_auth/service/auth/;
    }

    location /api/auth/rest/ {
      proxy_pass http://auth:7070/service_auth/rest/;
    }

    location /api/geolocation/ {
      proxy_pass http://backend:7070/service_backend/;
    }

    location /api/thingaggregate/ {
      proxy_pass http://backend:7070/service_backend/;
    }

    location /api/actor/ {
      proxy_pass http://backend:7070/service_backend/;
    }

    location /api/storagefacility/ {
      proxy_pass http://backend:7070/service_backend/;
    }

    location /api/storagefacility/v1/ {
      proxy_pass http://backend:7070/service_backend/;
    }

    location /api/barcode/ {
      proxy_pass http://barcode:7070/service_barcode/;
    }

    location /service_barcode/ {
      proxy_pass http://barcode:7070/service_barcode/;
    }

    location /service_management/ {
      proxy_pass http://backend:7070/service_backend/;
    }

    location /api/management/ {
      proxy_pass http://backend:7070/service_backend/;
    }

    location /api/document/ {
      proxy_pass http://document:7070/service_document/;
    }

    location /api/ {
      proxy_pass http://backend:7070/service_backend/;
    }
  }
}
